Package com.pixelmed.display

# Class SuperimposedDicomSegments

java.lang.Object
com.pixelmed.display.SuperimposedDicomSegments

public class SuperimposedDicomSegments extends Object

A class that supports extracting DICOM segmentation objects with one or more segments as superimposed images.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SuperimposedDicomSegments.SegmentInformation`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SortedMap<String,SortedSet<Integer>>`
`framesForSegmentBySegmentNumber`
`protected SortedMap<String,SuperimposedDicomSegments.SegmentInformation>`
`segmentInformationBySegmentNumber`
`protected SortedMap<String,SuperimposedImage>`
`superimposedImagesBySegmentNumber`

## Constructor Summary

Constructors
Constructor
Description
`SuperimposedDicomSegments(AttributeList list)`
`SuperimposedDicomSegments(File file)`
`SuperimposedDicomSegments(String filename)`

## Method Summary

Modifier and Type
Method
Description
`Vector<SuperimposedImage>`
`getSuperimposedImages()`
`static void`
`main(String[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### segmentInformationBySegmentNumber

protected SortedMap<String,SuperimposedDicomSegments.SegmentInformation> segmentInformationBySegmentNumber

### superimposedImagesBySegmentNumber

protected SortedMap<String,SuperimposedImage> superimposedImagesBySegmentNumber

### framesForSegmentBySegmentNumber

protected SortedMap<String,SortedSet<Integer>> framesForSegmentBySegmentNumber

## Constructor Details

### SuperimposedDicomSegments

public SuperimposedDicomSegments(AttributeList list) throws DicomException

Parameters:
  `list` -
Throws:
  `DicomException`

### SuperimposedDicomSegments

public SuperimposedDicomSegments(String filename) throws DicomException, IOException

Parameters:
  `filename` -
Throws:
  `DicomException`
  `IOException`

### SuperimposedDicomSegments

public SuperimposedDicomSegments(File file) throws DicomException, IOException

Parameters:
  `file` -
Throws:
  `DicomException`
  `IOException`

## Method Details

### getSuperimposedImages

public Vector<SuperimposedImage> getSuperimposedImages() throws DicomException

Returns:
  the superimposed images, one per segment
Throws:
  `DicomException`

### main

public static void main(String[] arg)

Parameters:
  `arg` - the underlying image file name, the superimposed segmentation object file name, and optionally the file name basis for a consumer format image rendering